List Bits AI investigations

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/bits-ai/investigationshttps://api.ap2.datadoghq.com/api/v2/bits-ai/investigationshttps://api.datadoghq.eu/api/v2/bits-ai/investigationshttps://api.ddog-gov.com/api/v2/bits-ai/investigationshttps://api.us2.ddog-gov.com/api/v2/bits-ai/investigationshttps://api.datadoghq.com/api/v2/bits-ai/investigationshttps://api.us3.datadoghq.com/api/v2/bits-ai/investigationshttps://api.us5.datadoghq.com/api/v2/bits-ai/investigations

Overview

List all Bits AI investigations for the organization. This endpoint requires the bits_investigations_read permission.

OAuth apps require the bits_investigations_read authorization scope to access this endpoint.

Arguments

Query Strings

Name

Type

Description

page[offset]

integer

Offset for pagination.

page[limit]

integer

Maximum number of investigations to return.

filter[monitor_id]

integer

Filter investigations by monitor ID.

Response

OK

Response for listing investigations.

Expand All

Field

Type

Description

data [required]

[object]

List of investigations.

attributes [required]

object

Attributes of an investigation list item.

status [required]

string

The current status of the investigation.

title [required]

string

The title of the investigation.

id [required]

string

The unique identifier of the investigation.

type [required]

enum

The resource type for investigations. Allowed enum values: investigation

links [required]

object

Pagination links for the list investigations response.

first [required]

string

Link to the first page.

last

string

Link to the last page.

next [required]

string

Link to the next page.

prev

string

Link to the previous page.

self [required]

string

Link to the current page.

meta [required]

object

Metadata for the list investigations response.

page [required]

object

Pagination metadata.

limit [required]

int64

Maximum number of results per page.

offset [required]

int64

Offset of the current page.

total [required]

int64

Total number of investigations.

{
  "data": [
    {
      "attributes": {
        "status": "conclusive",
        "title": "Monitor alert investigation for web-server-01"
      },
      "id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
      "type": "investigation"
    }
  ],
  "links": {
    "first": "https://api.datadoghq.com/api/v2/bits-ai/investigations?page[offset]=0\u0026page[limit]=10",
    "last": "string",
    "next": "https://api.datadoghq.com/api/v2/bits-ai/investigations?page[offset]=10\u0026page[limit]=10",
    "prev": "string",
    "self": "https://api.datadoghq.com/api/v2/bits-ai/investigations?page[offset]=0\u0026page[limit]=10"
  },
  "meta": {
    "page": {
      "limit": 10,
      "offset": 0,
      "total": 50
    }
  }
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/bits-ai/investigations" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
"""
List Bits AI investigations returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.bits_ai_api import BitsAIApi

configuration = Configuration()
configuration.unstable_operations["list_investigations"] = True
with ApiClient(configuration) as api_client:
    api_instance = BitsAIApi(api_client)
    response = api_instance.list_investigations()

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
# List Bits AI investigations returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.list_investigations".to_sym] = true
end
api_instance = DatadogAPIClient::V2::BitsAIAPI.new
p api_instance.list_investigations()

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
// List Bits AI investigations returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.ListInvestigations", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewBitsAIApi(apiClient)
	resp, r, err := api.ListInvestigations(ctx, *datadogV2.NewListInvestigationsOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `BitsAIApi.ListInvestigations`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `BitsAIApi.ListInvestigations`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
// List Bits AI investigations returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.BitsAiApi;
import com.datadog.api.client.v2.model.ListInvestigationsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.listInvestigations", true);
    BitsAiApi apiInstance = new BitsAiApi(defaultClient);

    try {
      ListInvestigationsResponse result = apiInstance.listInvestigations();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling BitsAiApi#listInvestigations");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
// List Bits AI investigations returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_bits_ai::BitsAIAPI;
use datadog_api_client::datadogV2::api_bits_ai::ListInvestigationsOptionalParams;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.ListInvestigations", true);
    let api = BitsAIAPI::with_config(configuration);
    let resp = api
        .list_investigations(ListInvestigationsOptionalParams::default())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * List Bits AI investigations returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.listInvestigations"] = true;
const apiInstance = new v2.BitsAIApi(configuration);

apiInstance
  .listInvestigations()
  .then((data: v2.ListInvestigationsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"